NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::LighteningCutoutBuilder Class Reference

Represents a Features::SheetMetal::LighteningCutout builder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateLighteningCutoutBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::SheetMetal::LighteningCutoutBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CutoutType { CutoutTypeHole, CutoutTypeUserDefined }
 Represents the type of Lightening Cutout. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle
Created in NX11.0.0. More...
 
NXOpen::Features::SheetMetal::BendOptionsBendOptions ()
 Returns the bend options
Created in NX12.0.0. More...
 
bool CheckClearance ()
 Returns whether to check the clearance
Created in NX11.0.0. More...
 
NXOpen::ExpressionClearance ()
 Returns the clearance
Created in NX11.0.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter when the type is NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutTypeHole
Created in NX11.0.0. More...
 
NXOpen::ExpressionDieRadius ()
 Returns the die radius
Created in NX11.0.0. More...
 
std::vector< NXStringGetStandards ()
 Returns the standard names available for the material selected. More...
 
NXOpen::SectionHoleCenter ()
 Returns the hole center when the type is NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutTypeHole
Created in NX11.0.0. More...
 
NXOpen::ExpressionLength ()
 Returns the length
Created in NX11.0.0. More...
 
NXOpen::ExpressionNeutralFactor ()
 Returns the neutral factor
More...
 
bool ReverseBendDirection ()
 Returns whether the bend direction is reversed
Created in NX11.0.0. More...
 
NXOpen::ExpressionSectionCornerRadius ()
 Returns the section corner radius
Created in NX11.0.0. More...
 
void SetCheckClearance (bool checkClearance)
 Sets whether to check the clearance
Created in NX11.0.0. More...
 
void SetReverseBendDirection (bool reverseBendDirection)
 Sets whether the bend direction is reversed
Created in NX11.0.0. More...
 
void SetStandardName (const NXString &standardName)
 Sets the standard name selected
Created in NX11.0.0. More...
 
void SetStandardName (const char *standardName)
 Sets the standard name selected
Created in NX11.0.0. More...
 
void SetType (NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutType type)
 Sets the type
Created in NX11.0.0. More...
 
NXOpen::Features::SketchFeatureSketch ()
 Returns the Sketch used by Lightening Cutout
Created in NX11.0.0. More...
 
NXString StandardName ()
 Returns the standard name selected
Created in NX11.0.0. More...
 
NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutType Type ()
 Returns the type
Created in NX11.0.0. More...
 
NXOpen::SectionUserDefinedSection ()
 Returns the section when the type is NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutTypeUserDefined
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Features::SheetMetal::LighteningCutout builder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateLighteningCutoutBuilder
Default values.

Property Value

Angle.Value

45

CheckClearance

1

Clearance.Value

5 (millimeters part), 0.12 (inches part)

Diameter.Value

102 (millimeters part), 2.6 (inches part)

DieRadius.Value

8 (millimeters part), 0.2 (inches part)

Length.Value

6 (millimeters part), 0.125 (inches part)

NeutralFactor.Value (deprecated)

0.33

SectionCornerRadius.Value

8 (millimeters part), 0.2 (inches part)

Type

UserDefined


Created in NX11.0.0.

Member Enumeration Documentation

Represents the type of Lightening Cutout.

Enumerator
CutoutTypeHole 

hole

CutoutTypeUserDefined 

user defined

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::Angle ( )

Returns the angle
Created in NX11.0.0.



License requirements : None

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::BendOptions ( )

Returns the bend options
Created in NX12.0.0.



License requirements : None

bool NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CheckClearance ( )

Returns whether to check the clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::Clearance ( )

Returns the clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::Diameter ( )

Returns the diameter when the type is NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutTypeHole
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::DieRadius ( )

Returns the die radius
Created in NX11.0.0.



License requirements : None

std::vector<NXString> NXOpen::Features::SheetMetal::LighteningCutoutBuilder::GetStandards ( )

Returns the standard names available for the material selected.

Returns

Created in NX11.0.0.

License requirements : None
NXOpen::Section* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::HoleCenter ( )

Returns the hole center when the type is NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutTypeHole
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::Length ( )

Returns the length
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::NeutralFactor ( )

Returns the neutral factor

Deprecated:
Deprecated in NX12.0.0.

Obtain the bend options object using NXOpen::Features::SheetMetal::LighteningCutoutBuilder::BendOptions and from bend options, get Neutral Factor using NXOpen::Features::SheetMetal::BendOptions::NeutralFactor


Created in NX11.0.0.

License requirements : None

bool NXOpen::Features::SheetMetal::LighteningCutoutBuilder::ReverseBendDirection ( )

Returns whether the bend direction is reversed
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::SectionCornerRadius ( )

Returns the section corner radius
Created in NX11.0.0.



License requirements : None

void NXOpen::Features::SheetMetal::LighteningCutoutBuilder::SetCheckClearance ( bool  checkClearance)

Sets whether to check the clearance
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
checkClearancecheckclearance
void NXOpen::Features::SheetMetal::LighteningCutoutBuilder::SetReverseBendDirection ( bool  reverseBendDirection)

Sets whether the bend direction is reversed
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
reverseBendDirectionreversebenddirection
void NXOpen::Features::SheetMetal::LighteningCutoutBuilder::SetStandardName ( const NXString standardName)

Sets the standard name selected
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
standardNamestandardname
void NXOpen::Features::SheetMetal::LighteningCutoutBuilder::SetStandardName ( const char *  standardName)

Sets the standard name selected
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
standardNamestandardname
void NXOpen::Features::SheetMetal::LighteningCutoutBuilder::SetType ( NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutType  type)

Sets the type
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
typetype
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::Sketch ( )

Returns the Sketch used by Lightening Cutout
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Features::SheetMetal::LighteningCutoutBuilder::StandardName ( )

Returns the standard name selected
Created in NX11.0.0.



License requirements : None

NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutType NXOpen::Features::SheetMetal::LighteningCutoutBuilder::Type ( )

Returns the type
Created in NX11.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::SheetMetal::LighteningCutoutBuilder::UserDefinedSection ( )

Returns the section when the type is NXOpen::Features::SheetMetal::LighteningCutoutBuilder::CutoutTypeUserDefined
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.